{% extends "administration.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido_administracion %}
    <ul class="nav nav-tabs nav-append-content">
        <li class="{% ifequal "tab1" tag_actual %}active{% endifequal %}"><a href="#tab1">{% blocktrans %}Assign Group{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab2" tag_actual %}active{% endifequal %}"><a href="#tab2">{% blocktrans %}Create Group{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab3" tag_actual %}active{% endifequal %}"><a href="#tab3">{% blocktrans %}Modify Group{% endblocktrans %}</a></li>
        <li class="{% ifequal "tab4" tag_actual %}active{% endifequal %}"><a href="#tab4">{% blocktrans %}Delete Group{% endblocktrans %}</a></li>
    </ul>
    
    <div class="tab-content">
        <div class="tab-pane {% ifequal "tab1" tag_actual %}active{% endifequal %}" id="tab1">
            <form method="post"> {% csrf_token %}
    			<div class="row clearfix">
                    <div class="col-md-6 column">
                        <small>{% blocktrans %}Find User{% endblocktrans %}:</small>
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name/username for search{% endblocktrans %}">
                          <span class="input-group-btn">
                            <button class="btn" type="button" name="search" data-toggle="modal" data-target="#ModalSearchUser"><span class="fui-search"></span></button>
                          </span>
                        </div>
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div class="col-md-6 column" id="div_form_find_user_name_temp">
                                {% blocktrans %}Nothing Selected{% endblocktrans %}
                            </div>
                        </div>
                        <small>{% blocktrans %}Email{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div class="col-md-6 column" id="div_form_find_user_email_temp">
                                {% blocktrans %}Nothing Selected{% endblocktrans %}
                            </div>
                            <input type="text" name="group_assign_email_temp" id="group_assign_email_temp" style="display:none;">
                        </div>
                    </div>
                    <div class="col-md-6 column">
                    	<small>{% blocktrans %}List of Groups{% endblocktrans %}:</small>
                        <label class="radio" id="group_radio_label_None">
                        <span class="icons"><span class="first-icon fui-radio-unchecked"></span><span class="second-icon fui-radio-checked"></span></span><input type="radio" name="group_assign_radio" id="group_radio_None" value="None" data-toggle="radio">
                        {% blocktrans %}None{% endblocktrans %}
                        </label>
                        {% for grupo in lista_grupos %}
                            <label id="group_radio_label_{{grupo.nombre}}" class="radio">
                            <span class="icons"><span class="first-icon fui-radio-unchecked"></span><span class="second-icon fui-radio-checked"></span></span><input type="radio" name="group_assign_radio" id="group_radio_{{grupo.nombre}}" value="{{grupo.nombre}}" data-toggle="radio">
                            {{grupo.nombre}}
                            </label>
                        {% endfor %}
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-8 column"></div>
                    <div class="col-md-4 column">
                    	<button type="submit" class="btn btn-lg btn-block btn-primary" name="group_assign" onclick="">{% blocktrans %}Assign{% endblocktrans %}</button>
                    </div>
                </div> <!-- close row clearfix -->
            </form>
        </div>
        <div class="tab-pane {% ifequal "tab2" tag_actual %}active{% endifequal %}" id="tab2">
            <form method="post"> {% csrf_token %}
            	<div class="row clearfix">
                	<div class="col-md-6 column">
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small><input type="text" value="" placeholder="{% blocktrans %}Type the name{% endblocktrans %}" class="form-control input-sm" name="group_create_name" autocomplete="off" required="">
                        <small>{% blocktrans %}Type of Prize{% endblocktrans %}:</small>
                        <select name="small" id="group_create_prize" class="select-block mb1" style="display: none;">
                            {% for precio in lista_precios %}
                                <option value="{{precio.nombre}}">{{precio.nombre}}</option>
                            {% endfor %}
                        </select>
                        <input type="text" value="" id="group_create_prize_temp" name="group_create_prize_temp" style="display: none;">
                    </div>
                    <div class="col-md-6 column">
                        <small>{% blocktrans %}Description{% endblocktrans %}:</small><input type="text" value="" placeholder="{% blocktrans %}Type the description{% endblocktrans %}" class="form-control input-sm" name="group_create_description" autocomplete="off" required="">
                        <small>{% blocktrans %}Permissions{% endblocktrans %}:</small>
                        <select multiple="multiple" id="group_create_permission" name="small" class="select-block mb1" style="display: none;">
                            <option value="Login" disabled="disabled">{% blocktrans %}Login{% endblocktrans %}</option>
                            {% for permiso in lista_permisos %}
                                <option value="{{permiso.nombre}}">{{permiso.nombre}}</option>
                            {% endfor %}
                        </select>
                        <input type="text" value="" id="group_create_permission_temp" name="group_create_permission_temp" style="display: none;">
                    </div>
                    <div class="col-md-8 column"></div>
                        <div class="col-md-4 column">
                            <button     type="submit"
                                        class="btn btn-lg btn-block btn-primary"
                                        name="group_create"
                                        onclick="
                                            select_to_var_2('group_create_prize','group_create_prize_temp','group_create_permission','group_create_permission_temp');
                                            "
                                        >
                                {% blocktrans %}Create{% endblocktrans %}
                            </button>
                        </div>
                </div> <!-- close row clearfix -->
            </form>
        </div>
        <div class="tab-pane {% ifequal "tab3" tag_actual %}active{% endifequal %}" id="tab3">
            <form method="post"> {% csrf_token %}
            	<div class="row clearfix">
                	<div class="col-md-6 column">
                        <small>{% blocktrans %}Find Group{% endblocktrans %}:</small>
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name for search{% endblocktrans %}">
                          <span class="input-group-btn">
                            <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchGroup"><span class="fui-search"></span></button>
                          </span>
                        </div>
                    </div>
                </div>
                <br />
    			<div id="group_edit_big_div" class="row clearfix" style="display: none;">
                	<div class="col-md-6 column">
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small><input type="text" value="" placeholder="" class="form-control input-sm" id="edit_name" name="group_edit_name" autocomplete="off">
                        <input type="text" style="display:none;" id="group_edit_name_temp" name="group_edit_name_temp" value="">
                        <!--
                        <small>Type of Prize:</small>
                        <div id="group_edit_prize_div_text">
                            <span class="glyphicon glyphicon-pencil"></span>
                        </div>
                        <div id="group_edit_prize_div_select" style="display: none;">
                            <select name="small" id="group_edit_prize" class="select-block mb1" style="display: none;">
                                {% for precio in lista_precios %}
                                    <option id="group_edit_prize_button" value="{{precio.nombre}}">{{precio.nombre}}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <input type="text" value="" id="group_edit_prize_temp" name="group_edit_prize_temp" style="display: none;">
                        -->
                    </div>
                    <div class="col-md-6 column">
                        <small>{% blocktrans %}Description{% endblocktrans %}:</small><input type="text" value="" placeholder="" class="form-control input-sm" id="edit_description" name="group_edit_description" autocomplete="off">
                        <!-- <small>Permissions:</small>
                        <select multiple="multiple" id="group_edit_permission" name="small" class="select-block mb1" style="display: none;">
                            <option value="Login" disabled="disabled">Login</option>
                            {% for permiso in lista_permisos %}
                                <option value="{{permiso.nombre}}">{{permiso.nombre}}</option>
                            {% endfor %}
                        </select>
                        <input type="text" value="" id="group_edit_permission_temp" name="group_edit_permission_temp" style="display: none;">
                        -->
                        <br />
                    </div>
                </div>
                <div class="row clearfix">
                	<div class="col-md-4 column"></div>
                    <div class="col-md-4 column">
                        <button type="submit" class="btn btn-lg btn-block btn-default" disabled="disabled" id="group_edit_clean" name="group_clean">{% blocktrans %}Clean{% endblocktrans %}</button>
                    </div>
                    <div class="col-md-4 column">
                        <button     type="submit"
                                    class="btn btn-lg btn-block btn-primary"
                                    disabled="disabled"
                                    id="group_edit_update"
                                    name="group_update"
                                    onclick="
                                        select_to_var_2('group_edit_prize','group_edit_prize_temp','group_edit_permission','group_edit_permission_temp');
                                    "
                                    >
                            {% blocktrans %}Update{% endblocktrans %}
                        </button>
                    </div>
                </div> <!-- close row clearfix -->
            </form>
        </div>
        <div class="tab-pane {% ifequal "tab4" tag_actual %}active{% endifequal %}" id="tab4">
            <form method="post"> {% csrf_token %}
    			<div class="row clearfix">
                    <div class="col-md-6 column">
                        <small>{% blocktrans %}Find Group{% endblocktrans %}:</small>
                        <div class="input-group input-group-sm">
                          <input class="form-control" id="appendedInputButton-04" type="search" placeholder="Type name for search">
                          <span class="input-group-btn">
                            <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchGroup"><span class="fui-search"></span></button>
                          </span>
                        </div>
                        <small>{% blocktrans %}Name{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div class="col-md-6 column" id="group_delete_name_div_text"></div>
                        </div>
                        <small>{% blocktrans %}Description{% endblocktrans %}:</small><br/>
                        <div class="row clearfix">
                        	<div class="col-md-1 column"></div>
                            <div class="col-md-6 column" id="group_delete_description_div_text"></div>
                        </div>
                    </div>
                    <div class="col-md-6 column">
                        <br/>
                        <strong>{% blocktrans %}Note{% endblocktrans %}:</strong> {% blocktrans %}If the group is assigned to any user, you can not delete. No user can belong to the group.{% endblocktrans %}
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-md-4 column"></div>
                    <div class="col-md-4 column">
                        <button type="submit" class="btn btn-lg btn-block btn-default" name="group_clean">{% blocktrans %}Clean{% endblocktrans %}</button>
                    </div>
                    <div class="col-md-4 column">
                    	<button type="submit" class="btn btn-lg btn-block btn-primary" name="group_delete">{% blocktrans %}Delete{% endblocktrans %}</button>
                    </div>
                </div> <!-- close row clearfix -->
                <input type="text" value="" id="group_delete_name_temp" name="group_delete_name_temp" style="display: none;">
            </form>
        </div>
    </div>
{% endblock %}
